Change Appliance Certificate
Update the appliance certificate. Returns a task to monitor the operation progress.
The appliance certificate to be updated.
{
"selfsigned_format": {
"common_name": "string",
"organization": "VMware",
"organization_unit": "VMware organization unit",
"fqdn": "string",
"ip": "10.20.11.15, 10.20.11.26",
"locality": "Palo Alto",
"state": "California",
"country": "US",
"email": "[email protected]"
},
"csr_format": {
"certificate": "string",
"ca_chain": [
{}
]
},
"credentials": {
"admin_user": "string",
"admin_password": "string"
}
}
Data to be used for generating the signing request.
Signed certificate data based on a generated CSR.
Contains credentials information.
Task to monitor the operation progress.
{
"id": "string",
"description": "string",
"type": "string",
"status": "string",
"error": {
"message": "string",
"details": "string"
},
"result": {},
"progress": 0,
"start_time": 0,
"complete_time": 0,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/appliance/certificates/server/actions/update